create table #Assistants
(Id int not null identity(1,1),
 description varchar(100))

declare @BusinessEntityID int
declare @JobTitle varchar(50)
declare @i int = 0

declare Employee_Cursor cursor for 
select BusinessEntityID, JobTitle
from HumanResources.Employee
where JobTitle like '%Assistant%'
open Employee_Cursor;
fetch next from Employee_Cursor into @BusinessEntityID, @JobTitle;
while @@FETCH_STATUS = 0
  begin
	insert into #Assistants values (@JobTitle)
	set @i = @i + 1
	fetch next from Employee_Cursor into @BusinessEntityID, @JobTitle;
  end;
close Employee_Cursor;
deallocate Employee_Cursor;

print 'There are ' + convert(varchar(10), @i) + ' assistants!'
select distinct description from #Assistants

--drop table #Assistants